on startMovie
  global gChapter
  set the volume of sound 1 to 255
  set the volume of sound 2 to 255
  hSetUpInterface()
  set the visible of sprite 12 to 0
  set the visible of sprite 46 to 0
  set the visible of sprite 47 to 0
end

on hSetUpInterface
  global gChapter, gSplit
  puppetSprite(37, 1)
  puppetSprite(38, 1)
  if gSplit = 2 then
    if (gChapter = 31) or (gChapter = 32) then
      set the castNum of sprite 38 to member ("chapterDisplay" & gChapter)
    else
      set the castNum of sprite 38 to member ("chapterDisplay" & gChapter - 12)
    end if
  else
    set the castNum of sprite 38 to member ("chapterDisplay" & gChapter)
  end if
  case gChapter of
    1, 2, 3, 4:
      set the castNum of sprite 37 to member "corner1"
    5, 6, 7:
      set the castNum of sprite 37 to member "corner2"
    8, 9, 10:
      set the castNum of sprite 37 to member "corner3"
    11, 12:
      set the castNum of sprite 37 to member "corner4"
    13, 14, 15:
      set the castNum of sprite 37 to member "corner5"
    16, 17:
      set the castNum of sprite 37 to member "corner6"
    18, 19, 20:
      set the castNum of sprite 37 to member "corner7"
    21, 22, 23:
      set the castNum of sprite 37 to member "corner8"
    24, 25, 26:
      set the castNum of sprite 37 to member "corner9"
    27, 28, 29, 30:
      set the castNum of sprite 37 to member "corner10"
  end case
  updateStage()
end

on RollOverStatesTwoChoices TheirAnswer1, TheirAnswer2, CurrentQuestionType
  global IMapTest
  set firstRolloverSprite to getFirstChoiceSpriteNumber(IMapTest) + 1
  set secondRolloverSprite to CurrentQuestionType + firstRolloverSprite - 1
  repeat with counter = firstRolloverSprite to secondRolloverSprite
    set currentAnswerCheck to counter - (firstRolloverSprite - 1)
    if (currentAnswerCheck = TheirAnswer1) or (currentAnswerCheck = TheirAnswer2) then
      nothing()
      next repeat
    end if
    if rollOver(counter) then
      swapCast(counter, "yellow button")
      next repeat
    end if
    swapCast(counter, "normal button")
  end repeat
end

on RollOverStates CurrentQuestionType
  global IMapTest
  set firstRolloverSprite to getFirstChoiceSpriteNumber(IMapTest) + 1
  set secondRolloverSprite to CurrentQuestionType + firstRolloverSprite - 1
  repeat with counter = firstRolloverSprite to secondRolloverSprite
    if rollOver(counter) then
      swapCast(counter, "yellow button")
      next repeat
    end if
    swapCast(counter, "normal button")
  end repeat
end

on SAveBookmark
  global gBookMark
  set gBookMark to "Test"
end
